| v_hdmirx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiRx1_Frl Struct Reference

This typedef contains audio stream specific data structure. More...

## Data Fields
XV_HdmiRx1_FrlTrainingState | TrainingState
| Fixed Rate Link State. More...
u32 | TimerCnt
| FRL Timer. More...
u8 | LineRate
| Current Line Rate from FRL rate. More...
u32 | CurFrlRate
| Current FRL Rate supported. More...
u8 | Lanes
| Current number of lanes used. More...
u8 | FfeLevels
| Number of Supported FFE Levels for the current FRL Rate. More...
u8 | FfeSuppFlag
| RX Core's support of FFE Levels. More...
XV_HdmiRx1_FrlLtp | Ltp
| LTP to be detected by the RX core and queried by source. More...
XV_HdmiRx1_FrlLtp | DefaultLtp
| LTP which will be used by RX core for link training. More...
XV_HdmiRx1_FrlFfeAdjType | LaneFfeAdjReq
| The RxFFE for each of the lanes. More...

## Detailed Description

This typedef contains audio stream specific data structure.

## Field Documentation

u32 XV_HdmiRx1_Frl::CurFrlRate

Current FRL Rate supported.

Referenced by XV_HdmiRx1_CfgInitialize(), XV_HdmiRx1_ConfigFrlLtpDetection(), and XV_HdmiRx1_RetrieveFrlRateLanes().

XV_HdmiRx1_FrlLtp XV_HdmiRx1_Frl::DefaultLtp

LTP which will be used by RX core for link training.

Referenced by XV_HdmiRx1_CfgInitialize(), XV_HdmiRx1_ConfigFrlLtpDetection(), XV_HdmiRx1_FrlLinkRetrain(), and XV_HdmiRx1_FrlModeEnable().

u8 XV_HdmiRx1_Frl::FfeLevels

Number of Supported FFE Levels for the current FRL Rate.

u8 XV_HdmiRx1_Frl::FfeSuppFlag

RX Core's support of FFE Levels.

Referenced by XV_HdmiRx1_FrlModeEnable().

XV_HdmiRx1_FrlFfeAdjType XV_HdmiRx1_Frl::LaneFfeAdjReq

The RxFFE for each of the lanes.

u8 XV_HdmiRx1_Frl::Lanes

Current number of lanes used.

Referenced by XV_HdmiRx1_PhyResetPoll(), and XV_HdmiRx1_RetrieveFrlRateLanes().

u8 XV_HdmiRx1_Frl::LineRate

Current Line Rate from FRL rate.

Referenced by XV_HdmiRx1_RetrieveFrlRateLanes().

XV_HdmiRx1_FrlLtp XV_HdmiRx1_Frl::Ltp

LTP to be detected by the RX core and queried by source.

Referenced by XV_HdmiRx1_ConfigFrlLtpDetection(), and XV_HdmiRx1_FrlLinkRetrain().

u32 XV_HdmiRx1_Frl::TimerCnt

FRL Timer.

XV_HdmiRx1_FrlTrainingState XV_HdmiRx1_Frl::TrainingState

Fixed Rate Link State.

Referenced by XV_HdmiRx1_Clear(), XV_HdmiRx1_ConfigFrlLtpDetection(), XV_HdmiRx1_ExecFrlState(), XV_HdmiRx1_FrlLinkRetrain(), and XV_HdmiRx1_FrlModeEnable().